Method: projects.locations.experiments.start

Starts an existing Experiment. The Experiment must already be in the PREPARED state. This method initiates the fault injection process. The Experiment state will transition to INJECTING and then to INJECTED once the fault is active.

HTTP request

POST https://faulttesting.googleapis.com/v1alpha/{name=projects/*/locations/*/experiments/*}:start

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The resource name of the experiment to start. Format: projects/{projectId}/locations/{location}/experiments/{experimentId}.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Experiment.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • faulttesting.experiments.update

For more information, see the IAM documentation.